[CentOS] php-pear problem on yum update

anax anax at ayni.com
Fri Mar 9 04:45:25 EST 2012


Hi Nikos
you say, you don't use php-pear. Just remove it.

yum remove php-pear
yum upgrade

suomi

On 03/09/2012 10:16 AM, Nikos Gatsis - Qbit wrote:
> Hello list
> I have centos-release-5-7.el5.centos and today I noticed that there are
> some updates with yum.
>
> I try to update but something hapend with php-pear:
>
>    file /usr/share/pear/.channels/__uri.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from
> pa                                           ckage
> php-pear-ole-0.5-2.el5.rf.noarch
>     file /usr/share/pear/.channels/pear.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-ole-0.5-2.el5.rf.noarch
>     file /usr/share/pear/.channels/pecl.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-ole-0.5-2.el5.rf.noarch
>     file /usr/share/pear/.depdb from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from package
> php-pea                                           r-ole-0.5-2.el5.rf.noarch
>     file /usr/share/pear/.channels/__uri.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from
> pa                                           ckage
> php-pear-excel-0.9.0-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pear.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-excel-0.9.0-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pecl.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-excel-0.9.0-1.el5.rf.noarch
>     file /usr/share/pear/.depdb from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from package
> php-pea
> r-excel-0.9.0-1.el5.rf.noarch
>     file /usr/share/pear/.channels/__uri.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from
> pa                                           ckage
> php-pear-log-1.9.3-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pear.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-log-1.9.3-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pecl.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-log-1.9.3-1.el5.rf.noarch
>     file /usr/share/pear/.depdb from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from package
> php-pea
> r-log-1.9.3-1.el5.rf.noarch
>     file /usr/share/pear/.channels/__uri.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from
> pa                                           ckage
> php-pear-mail_mime-1.3.1-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pear.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-mail_mime-1.3.1-1.el5.rf.noarch
>     file /usr/share/pear/.channels/pecl.php.net.reg from install of
> php-pear-1.4.9-8.el5.noarch conflicts with
> file                                            from package
> php-pear-mail_mime-1.3.1-1.el5.rf.noarch
>     file /usr/share/pear/.depdb from install of
> php-pear-1.4.9-8.el5.noarch conflicts with file from package
> php-pea
> r-mail_mime-1.3.1-1.el5.rf.noarch
>
> I have never Install a package out of yum so this conflict is very
> strange to me.
> I try to clean up yum, and update with --skip-broken with no luck.
>
> Is good to install php packages excluding php-pear?
> Actually I dont use it.
>
> Can somebody advice me?
>
> Thank you in advance


More information about the CentOS mailing list